## wlcs 1.1.0

=== debian/changelog ===
wlcs (1.1.0-0ubuntu3) eoan; urgency=medium

  * debian/rules:
    + Drop TSan and ASan builds from s390x; s390x doesn't have TSan, and the
      ASan build fails to link.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 24 Sep 2019 11:10:39 +1000

wlcs (1.1.0-0ubuntu2) eoan; urgency=medium

  * debian/rules:
  * debian/patches/fix-pkg-config-with-absolute-libexec-configured.patch:
    + Drop, instead passing a relative CMAKE_INSTALL_LIBEXECDIR
  * debian/copyright:
    + Fix the paths of tests/xdg_*.cpp

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 26 Aug 2019 10:17:06 +1000

wlcs (1.1.0-0ubuntu1) eoan; urgency=medium

  * Initial upload to Ubuntu
  * debian/patches/fix-cmake-version.patch:
    + Cherry pick fix for project version. This is 1.1.0, not 1.0.0!
  * debian/patches/fix-pkg-config-with-absolute-libexec-configured.patch:
    + Fix duplicate ${prefix} in wlcs.pc when manually specifying
      CMAKE_INSTALL_LIBEXECDIR

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 21 Aug 2019 12:08:38 +1000
