=== debian/control ===
Source: wlcs
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libboost-dev,
 libgtest-dev,
 libwayland-dev,
 pkg-config,
 google-mock
Standards-Version: 4.4.0
Section: devel
Homepage: https://github.com/MirServer/wlcs
Vcs-Browser: https://salsa.debian.org/mir-server-team/wlcs
Vcs-Git: https://salsa.debian.org/mir-server-team/wlcs.git -b archive-ubuntu

Package: wlcs
Section: devel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wayland Conformance Suite's
 wlcs aspires to be a protocol-conformance-verifying test suite usable by
 Wayland compositor implementations.
 .
 This package contains the headers necessary for a Wayland compositor to
 provide the integration module needed to run wlcs tests, and the test
 runner binary needed to run the tests against the compositor.
