## wlcs 1.1.0%2Bdfsg

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
    https://github.com/MirServer/wlcs/releases/latest .*/wlcs-(\d\S+)\.tar\.xz
