## wlcs 1.1.0+dfsg

=== debian/changelog ===
wlcs (1.1.0+dfsg-5ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable asan on riscv64 and s390x to fix FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2020 16:34:28 +0200

wlcs (1.1.0+dfsg-5) unstable; urgency=medium

  * debian/control:
    + Fix plural form of suite in SYNOPSIS. (Closes: #962015).
  * debian/rules:
    + Set WLCS_BUILD_ASAN to OFF on mipsel and mips64el architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jul 2020 00:45:24 +0200

wlcs (1.1.0+dfsg-4ubuntu2) focal; urgency=medium

  * Disable asan on riscv64 to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Fri, 10 Apr 2020 14:56:04 +1000

wlcs (1.1.0+dfsg-4ubuntu1) focal; urgency=medium

  * Restore/adapt ~raof's change to disable ASan on s390x to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Mar 2020 22:29:46 -0400

wlcs (1.1.0+dfsg-4) unstable; urgency=medium

  * debian/rules:
    + Drop old comments.
    + Fix varialble name WITH_UBSAN.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Feb 2020 22:53:56 +0100

wlcs (1.1.0+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Limit building to linux-any architectures.
  * debian/rules:
    + Disable UBSAN and TSAN sanitizers on architectures that don't support
      them.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Feb 2020 20:47:38 +0100

wlcs (1.1.0+dfsg-2) unstable; urgency=medium

  * Source-only upload as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Feb 2020 07:37:17 +0100

wlcs (1.1.0+dfsg-1) unstable; urgency=medium

  [ Christopher James Halse Rogers ]
  * Prepare initial version wlcs src:pkg for Ubuntu.

  [ Mike Gabriel ]
  * Repack upstream version 1.1.0 -> 1.1.0+dfsg. The upstream
    sources contain an encrypted file.
  * debian/control:
    + Update Maintainer: and Uploaders: fields.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Cosmetic update of D field, list deps line-by-line.
    + In Vcs-Git: field, drop branch attribute (we are on master branch now).
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + In src:pkg definitions, move Section: field further up.
    + Drop Section: field from bin:pkg wlcs.
  * debian/copyright:
    + Re-work entirely. Lists files individually for better license and
      copyright tracking.
  * debian/upstream/signing-key.asc:
    + Reduce key size, make key minimal.
  * debian/upstream/metadata:
    + Add file for being DEP-12 compliant.
  * debian/gbp.conf:
    + Update for new branch layout on salsa.
  * debian/watch:
    + Re-packing the orig tarball is required to drop encrypted file from
      upstream sources; add dversionmangle and repacksuffix options.
  * debian/rules:
    + Add get-orig-source target with cmdline options for repacking the orig
      tarball.
  * Initial upload to Debian. (Closes: #949474).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2020 14:01:19 +0100

wlcs (1.1.0-0ubuntu2) UNRELEASED; urgency=medium

  * debian/rules:
  * debian/patches/fix-pkg-config-with-absolute-libexec-configured.patch:
    + Drop, instead passing a relative CMAKE_INSTALL_LIBEXECDIR

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 22 Aug 2019 16:30:49 +1000
