## wlcs 1.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_policy(SET CMP0015 NEW)
 cmake_policy(SET CMP0022 NEW)
 
-project(wlcs VERSION 1.0.0)
+project(wlcs VERSION 1.2.0)
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_FILE_OFFSET_BITS=64)
@@ -46,6 +46,14 @@
   # GTest's parametrised test macro tweaks this warning
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=gnu-zero-variadic-macro-arguments")
 endif ()
+
+include(CheckCXXSymbolExists)
+list(APPEND CMAKE_REQUIRED_HEADERS ${GTEST_INCLUDE_DIRECTORIES})
+check_cxx_symbol_exists(INSTANTIATE_TEST_SUITE_P "gtest/gtest.h" HAVE_INSTANTIATE_TEST_SUITE_P)
+if (NOT HAVE_INSTANTIATE_TEST_SUITE_P)
+  #GTest conveniently renamed INSTANTIATE_TEST_CASE_P and then deprecated it.
+  add_definitions(-DINSTANTIATE_TEST_SUITE_P=INSTANTIATE_TEST_CASE_P)
+endif()
 
 find_package(Boost)
 find_package(GtestGmock)
@@ -113,6 +121,11 @@
 GENERATE_PROTOCOL(wayland)
 GENERATE_PROTOCOL(xdg-shell-unstable-v6)
 GENERATE_PROTOCOL(xdg-shell)
+GENERATE_PROTOCOL(wlr-layer-shell-unstable-v1)
+GENERATE_PROTOCOL(xdg-output-unstable-v1)
+GENERATE_PROTOCOL(wlr-foreign-toplevel-management-unstable-v1)
+GENERATE_PROTOCOL(pointer-constraints-unstable-v1)
+GENERATE_PROTOCOL(relative-pointer-unstable-v1)
 
 option(WLCS_BUILD_ASAN "Build a test runner with AddressSanitizer annotations" ON)
 option(WLCS_BUILD_TSAN "Build a test runner with ThreadSanitizer annotations" ON)
@@ -125,10 +138,19 @@
   include/wlcs/pointer.h
   include/wlcs/touch.h
   include/helpers.h
+  include/wl_handle.h
   include/in_process_server.h
+  include/pointer_constraints_unstable_v1.h
   include/primary_selection.h
+  include/relative_pointer_unstable_v1.h
   include/xdg_shell_v6.h
   include/xdg_shell_stable.h
+  include/xdg_output_v1.h
+  include/version_specifier.h
+  include/wl_interface_descriptor.h
+  include/layer_shell_v1.h
+  include/surface_builder.h
+  include/input_method.h
 
   src/data_device.cpp
   src/gtk_primary_selection.cpp
@@ -136,17 +158,25 @@
   src/in_process_server.cpp
   src/xdg_shell_v6.cpp
   src/xdg_shell_stable.cpp
+  src/layer_shell_v1.cpp
   src/main.cpp
+  src/pointer_constraints_unstable_v1.cpp
   src/primary_selection.cpp
   src/shared_library.cpp
+  src/relative_pointer_unstable_v1.cpp
   src/xfail_supporting_test_listener.h
   src/xfail_supporting_test_listener.cpp
   src/termcolor.hpp
   src/thread_proxy.h
+  src/xdg_output_v1.cpp
+  src/version_specifier.cpp
+  src/surface_builder.cpp
+  src/input_method.cpp
 
   ${PROTOCOL_SOURCES}
 
   tests/test_bad_buffer.cpp
+  tests/pointer_constraints.cpp
   tests/copy_cut_paste.cpp
   tests/gtk_primary_selection.cpp
   tests/test_surface_events.cpp
@@ -155,12 +185,16 @@
   tests/surface_input_regions.cpp
   tests/frame_submission.cpp
   tests/primary_selection.cpp
+  tests/relative_pointer.cpp
   tests/subsurfaces.cpp
   tests/xdg_surface_v6.cpp
   tests/xdg_toplevel_v6.cpp
   tests/xdg_surface_stable.cpp
   tests/xdg_toplevel_stable.cpp
   tests/xdg_popup.cpp
+  tests/wlr_layer_shell_v1.cpp
+  tests/xdg_output_v1.cpp
+  tests/wlr_foreign_toplevel_management_v1.cpp
   tests/self_test.cpp
 )
