=== debian/changelog ===
wlcs (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc:
    + Update upstream maintainer's GPG pubkey.
  * debian/patches:
    + Drop fix-cmake-version.patch. Resolved upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump to DH compat level version 13.
  * debian/control:
    + Bump Standards-Version:to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 23:42:19 +0100

wlcs (1.1.0+dfsg-7) unstable; urgency=medium

  * debian/rules:
    + Set -DWLCS_BUILD_ASAN=OFF for two more architectures (m68k, sh4).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 19:00:25 +0200

wlcs (1.1.0+dfsg-6) unstable; urgency=medium

  * debian/control:
    + Add B-D: libffi-dev.
  * debian/rules:
    + Set -DWLCS_BUILD_ASAN=OFF for several more architectures (s390x, alpha,
      hppa, ia64, riscv64 and sparc64).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 17:17:51 +0200
