=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: wlcs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mir Team <team+mir@tracker.debian.org>
+Maintainer: Debian Mir Team <team+mir@tracker.debian.org>
 Uploaders:
  Christopher James Halse Rogers <raof@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  libboost-dev,
+ libffi-dev,
  libgtest-dev,
  libwayland-dev,
  pkg-config,
  google-mock
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/MirServer/wlcs
 Vcs-Browser: https://salsa.debian.org/mir-server-team/wlcs
