=== debian/changelog ===
wlcs (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc:
    + Update pubkey 0xF4A0E7F950F362FA5B719C48D4DB4A9F5D044F1A (RAOF).
  * debian/{watch,rules,copyright}:
    + Don't repack orig tarball anymore. Non-DFSG files have been removed
      from the upstream project.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Feb 2021 22:03:29 +0100
