=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libwayland-dev,
  pkg-config,
  google-mock
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/MirServer/wlcs
 Vcs-Browser: https://salsa.debian.org/mir-server-team/wlcs
