=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
   WITH_UBSAN = -DWLCS_BUILD_UBSAN=OFF
 endif
 
-ifneq ($(filter mipsel mips64el riscv64 s390x, $(DEB_HOST_ARCH)),)
+ifneq ($(filter mipsel mips64el s390x alpha hppa ia64 m68k riscv64 sh4 sparc64, $(DEB_HOST_ARCH)),)
   WITH_ASAN = -DWLCS_BUILD_ASAN=OFF
 endif
 
@@ -41,4 +41,4 @@
 	dh $@
 
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
