=== debian/changelog ===
wlcs (1.3.0-4deepin1) unstable; urgency=medium

  [ Dandan Zhang ]
  * debian/rules:
    + Set -DWLCS_BUILD_ASAN=OFF for LoongArch architecture.

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 24 Sep 2024 14:24:02 +0800

wlcs (1.3.0-4deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:57:58 +0800

wlcs (1.3.0-4) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/rules:
    + Fix FTBFS on armel and powerpc due to missing atomic linkage.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Nov 2021 10:16:44 +0100

wlcs (1.3.0-3) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/patches:
    + Add 0001-cmake-always-set-GTEST_LIBRARY-if-it-isn-t.patch and
      0002-Fix-build-when-using-GTest-1.11.patch. Fix FTBFS (cmake:
      always set GTEST_LIBRARY if it isn't; fix build when using GTest-1.11).
      (Closes: #998894).

  [ Debian Janitor ]
  * debian/upstream/metadata:
    + Set upstream metadata fields: Repository.
    + Remove obsolete field Name from debian/upstream/metadata
      (already present in machine-readable debian/copyright).

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Nov 2021 17:03:08 +0100

wlcs (1.3.0-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 21:47:46 +0200

wlcs (1.3.0-1) experimental; urgency=medium

  * New upstream release. Notable changes:
    + Check Cursor movement is not propagating to clients correctly
      when zwp_relative_pointer_manager_v1 is enabled
    + Test that correct input event is used for interactive move
    + Test that layer surfaces are correctly reconfigured
    + Add tests for popup done event
    + Test surfaces get enter/leave events
    + Test version 2 and 3 features of zwlr_layer_shell_v1
  * debian/copyright:
    + Refresh for new upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 17 Jun 2021 09:38:35 +1000
