=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel powerpc))
+  export DEB_LDFLAGS_MAINT_APPEND = -latomic
+endif
 
 WITH_ASAN  = -DWLCS_BUILD_ASAN=ON
 WITH_UBSAN = -DWLCS_BUILD_UBSAN=ON
@@ -16,15 +20,15 @@
   endif
 endif
 
-ifneq ($(filter armel armhf i386 mipsel mips64el s390x alpha hppa ia64 m68k powerpc riscv64 sh4 sparc64 x32, $(DEB_HOST_ARCH)),)
+ifneq ($(filter armel armhf i386 mipsel mips64el s390x alpha hppa ia64 loong64 m68k powerpc riscv64 sh4 sparc64 x32, $(DEB_HOST_ARCH)),)
   WITH_TSAN = -DWLCS_BUILD_TSAN=OFF
 endif
 
-ifneq ($(filter mipsel mips64el alpha hppa ia64 m68k powerpc riscv64 sh4, $(DEB_HOST_ARCH)),)
+ifneq ($(filter mipsel mips64el alpha hppa ia64 loong64 m68k powerpc riscv64 sh4, $(DEB_HOST_ARCH)),)
   WITH_UBSAN = -DWLCS_BUILD_UBSAN=OFF
 endif
 
-ifneq ($(filter mipsel mips64el s390x alpha hppa ia64 m68k riscv64 sh4 sparc64, $(DEB_HOST_ARCH)),)
+ifneq ($(filter mipsel mips64el s390x alpha hppa ia64 loong64 m68k riscv64 sh4 sparc64, $(DEB_HOST_ARCH)),)
   WITH_ASAN = -DWLCS_BUILD_ASAN=OFF
 endif
