## wlcs 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_policy(SET CMP0015 NEW)
 cmake_policy(SET CMP0022 NEW)
 
-project(wlcs VERSION 1.3.0)
+project(wlcs VERSION 1.4.0)
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_FILE_OFFSET_BITS=64)
@@ -129,6 +129,8 @@
 GENERATE_PROTOCOL(wlr-foreign-toplevel-management-unstable-v1)
 GENERATE_PROTOCOL(pointer-constraints-unstable-v1)
 GENERATE_PROTOCOL(relative-pointer-unstable-v1)
+GENERATE_PROTOCOL(text-input-unstable-v3)
+GENERATE_PROTOCOL(input-method-unstable-v2)
 
 option(WLCS_BUILD_ASAN "Build a test runner with AddressSanitizer annotations" ON)
 option(WLCS_BUILD_TSAN "Build a test runner with ThreadSanitizer annotations" ON)
@@ -199,6 +201,7 @@
   tests/xdg_output_v1.cpp
   tests/wlr_foreign_toplevel_management_v1.cpp
   tests/self_test.cpp
+  tests/text_input_v3_with_input_method_v2.cpp
 )
 
 add_library(test_c_compile OBJECT src/test_c_compile.c)
