=== debian/changelog ===
wlcs (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Apr 2022 23:30:52 +0200
