## wlcs 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_policy(SET CMP0015 NEW)
 cmake_policy(SET CMP0022 NEW)
 
-project(wlcs VERSION 1.4.0)
+project(wlcs VERSION 1.5.0)
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_FILE_OFFSET_BITS=64)
@@ -31,7 +31,7 @@
 find_package(PkgConfig)
 #include (Doxygen.cmake)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
@@ -131,55 +131,13 @@
 GENERATE_PROTOCOL(relative-pointer-unstable-v1)
 GENERATE_PROTOCOL(text-input-unstable-v3)
 GENERATE_PROTOCOL(input-method-unstable-v2)
+GENERATE_PROTOCOL(wlr-virtual-pointer-unstable-v1)
 
 option(WLCS_BUILD_ASAN "Build a test runner with AddressSanitizer annotations" ON)
 option(WLCS_BUILD_TSAN "Build a test runner with ThreadSanitizer annotations" ON)
 option(WLCS_BUILD_UBSAN "Build a test runner with UndefinedBehaviourSanitizer annotations" ON)
 
-set(
-  WLCS_SOURCES
-
-  include/wlcs/display_server.h
-  include/wlcs/pointer.h
-  include/wlcs/touch.h
-  include/helpers.h
-  include/wl_handle.h
-  include/in_process_server.h
-  include/pointer_constraints_unstable_v1.h
-  include/primary_selection.h
-  include/relative_pointer_unstable_v1.h
-  include/xdg_shell_v6.h
-  include/xdg_shell_stable.h
-  include/xdg_output_v1.h
-  include/version_specifier.h
-  include/wl_interface_descriptor.h
-  include/layer_shell_v1.h
-  include/surface_builder.h
-  include/input_method.h
-
-  src/data_device.cpp
-  src/gtk_primary_selection.cpp
-  src/helpers.cpp
-  src/in_process_server.cpp
-  src/xdg_shell_v6.cpp
-  src/xdg_shell_stable.cpp
-  src/layer_shell_v1.cpp
-  src/main.cpp
-  src/pointer_constraints_unstable_v1.cpp
-  src/primary_selection.cpp
-  src/shared_library.cpp
-  src/relative_pointer_unstable_v1.cpp
-  src/xfail_supporting_test_listener.h
-  src/xfail_supporting_test_listener.cpp
-  src/termcolor.hpp
-  src/thread_proxy.h
-  src/xdg_output_v1.cpp
-  src/version_specifier.cpp
-  src/surface_builder.cpp
-  src/input_method.cpp
-
-  ${PROTOCOL_SOURCES}
-
+set(WLCS_TESTS
   tests/test_bad_buffer.cpp
   tests/pointer_constraints.cpp
   tests/copy_cut_paste.cpp
@@ -202,7 +160,61 @@
   tests/wlr_foreign_toplevel_management_v1.cpp
   tests/self_test.cpp
   tests/text_input_v3_with_input_method_v2.cpp
-)
+  tests/wlr_virtual_pointer_v1.cpp
+)
+
+set(
+  WLCS_SOURCES
+
+  include/wlcs/display_server.h
+  include/wlcs/pointer.h
+  include/wlcs/touch.h
+  include/helpers.h
+  include/wl_handle.h
+  include/in_process_server.h
+  include/pointer_constraints_unstable_v1.h
+  include/primary_selection.h
+  include/relative_pointer_unstable_v1.h
+  include/xdg_shell_v6.h
+  include/xdg_shell_stable.h
+  include/xdg_output_v1.h
+  include/version_specifier.h
+  include/wl_interface_descriptor.h
+  include/layer_shell_v1.h
+  include/surface_builder.h
+  include/input_method.h
+
+  src/data_device.cpp
+  src/gtk_primary_selection.cpp
+  src/helpers.cpp
+  src/in_process_server.cpp
+  src/xdg_shell_v6.cpp
+  src/xdg_shell_stable.cpp
+  src/layer_shell_v1.cpp
+  src/main.cpp
+  src/pointer_constraints_unstable_v1.cpp
+  src/primary_selection.cpp
+  src/shared_library.cpp
+  src/relative_pointer_unstable_v1.cpp
+  src/xfail_supporting_test_listener.h
+  src/xfail_supporting_test_listener.cpp
+  src/termcolor.hpp
+  src/thread_proxy.h
+  src/xdg_output_v1.cpp
+  src/version_specifier.cpp
+  src/surface_builder.cpp
+  src/input_method.cpp
+
+  ${PROTOCOL_SOURCES}
+  ${WLCS_TESTS}
+)
+
+# g++ 9.4 (on 20.04) hates the MOCK_METHOD macro
+if (CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 10)
+  # Neither gnu-zero-variadic-macro-arguments nor variadic-macro help,
+  # we just have to drop pedantic...
+  set_property(SOURCE ${WLCS_TESTS} PROPERTY COMPILE_OPTIONS -Wno-pedantic)
+endif()
 
 add_library(test_c_compile OBJECT src/test_c_compile.c)
 
@@ -266,7 +278,7 @@
 
 install(
   DIRECTORY include/wlcs
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/include/
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
 
 configure_file(
