=== debian/changelog ===
wlcs (1.5.0-1ubuntu1) lunar; urgency=medium

  * debian/rules:
    + Drop optimisation level to -O2 on ppc64el to work around
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=105329.
      Fixes FTBFS on ppc64el.
  * debian/gbp.conf
    + Point at Ubuntu branch

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 22 Feb 2023 18:00:18 +1100

wlcs (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Obtain orig tarball from Git tag.
    + No pgpsigurlmangling anymore.
  * debian/upstream/signing-key.asc:
    + Drop for now. Release downloads are broken on Github these days.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 20:30:05 +0100
