=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wlcs
 Section: devel
 Priority: optional
-Maintainer: Debian Mir Team <team+mir@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mir Team <team+mir@tracker.debian.org>
 Uploaders:
  Christopher James Halse Rogers <raof@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -14,7 +15,7 @@
  libwayland-dev,
  pkg-config,
  google-mock
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/MirServer/wlcs
 Vcs-Browser: https://salsa.debian.org/mir-server-team/wlcs
