=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,15 @@
   endif
 endif
 
-ifneq ($(filter armel armhf i386 mipsel mips64el s390x alpha hppa ia64 loong64 m68k powerpc riscv64 sh4 sparc64 x32, $(DEB_HOST_ARCH)),)
+ifneq ($(filter armel armhf i386 mipsel mips64el s390x alpha hppa ia64 m68k powerpc riscv64 sh4 sparc64 x32, $(DEB_HOST_ARCH)),)
   WITH_TSAN = -DWLCS_BUILD_TSAN=OFF
 endif
 
-ifneq ($(filter mipsel mips64el alpha hppa ia64 loong64 m68k powerpc riscv64 sh4, $(DEB_HOST_ARCH)),)
+ifneq ($(filter mipsel mips64el alpha hppa ia64 m68k powerpc riscv64 sh4, $(DEB_HOST_ARCH)),)
   WITH_UBSAN = -DWLCS_BUILD_UBSAN=OFF
 endif
 
-ifneq ($(filter mipsel mips64el s390x alpha hppa ia64 loong64 m68k riscv64 sh4 sparc64, $(DEB_HOST_ARCH)),)
+ifneq ($(filter mipsel mips64el s390x alpha hppa ia64 m68k riscv64 sh4 sparc64, $(DEB_HOST_ARCH)),)
   WITH_ASAN = -DWLCS_BUILD_ASAN=OFF
 endif
 
@@ -38,6 +38,16 @@
   $(WITH_TSAN) \
   -DCMAKE_INSTALL_LIBEXECDIR="lib/${DEB_HOST_MULTIARCH}"
 
+# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=105329
+ifeq ($(DEB_HOST_ARCH), ppc64el)
+  ifneq ($(shell gcc --version | grep '12.[[:digit:]]\+.[[:digit:]]\+$$'),)
+    export DEB_CFLAGS_MAINT_APPEND = -O2
+    export DEB_CXXFLAGS_MAINT_APPEND = -O2
+    export DEB_FCFLAGS_MAINT_APPEND = -O2
+    export DEB_FFLAGS_MAINT_APPEND = -O2
+  endif
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(COMMON_CONFIGURE_OPTIONS)
