=== debian/changelog ===
wlcs (1.6.0-1ubuntu1) mantic; urgency=medium

  * Sync from Debian unstable
  * New Ubuntu changes:
    - debian/patches/0001-fix-g++-13-FTBFS.patch:
      + Cherry-pick upstream commit fixing the build on GCC 13

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 14 Aug 2023 17:58:57 +1000

wlcs (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * debian/control: Add ubports team to uploaders
  * debian/control: Add myself to uploaders
  * debian/copyright: Refresh copyright to match upstream release

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 10 Aug 2023 23:35:06 +0200
