=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Mir Team <team+mir@tracker.debian.org>
 Uploaders:
+ Debian UBports Team <team+ubports@tracker.debian.org>,
  Christopher James Halse Rogers <raof@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
