## wlcs 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_policy(SET CMP0015 NEW)
 cmake_policy(SET CMP0022 NEW)
 
-project(wlcs VERSION 1.5.0)
+project(wlcs VERSION 1.6.1)
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_FILE_OFFSET_BITS=64)
@@ -129,7 +129,9 @@
 GENERATE_PROTOCOL(wlr-foreign-toplevel-management-unstable-v1)
 GENERATE_PROTOCOL(pointer-constraints-unstable-v1)
 GENERATE_PROTOCOL(relative-pointer-unstable-v1)
+GENERATE_PROTOCOL(text-input-unstable-v2)
 GENERATE_PROTOCOL(text-input-unstable-v3)
+GENERATE_PROTOCOL(input-method-unstable-v1)
 GENERATE_PROTOCOL(input-method-unstable-v2)
 GENERATE_PROTOCOL(wlr-virtual-pointer-unstable-v1)
 
@@ -161,6 +163,7 @@
   tests/self_test.cpp
   tests/text_input_v3_with_input_method_v2.cpp
   tests/wlr_virtual_pointer_v1.cpp
+  tests/text_input_v2_with_input_method_v1.cpp
 )
 
 set(
@@ -247,7 +250,12 @@
 
 if (WLCS_BUILD_UBSAN)
   add_executable(wlcs.ubsan ${WLCS_SOURCES})
-  target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined)
+  # g++ 13 doesn't like some initialization
+  if (CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 13)
+    target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined)
+  else()
+    target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined -O0)
+  endif()
   set_target_properties(
     wlcs.ubsan
     PROPERTIES
