=== debian/changelog ===
wlcs (1.6.1-2ubuntu1) plucky; urgency=medium

  * Set -Wno-error=maybe-uninitialized to fix the FTBFS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:29:46 -0600

wlcs (1.6.1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0001_remove-I-don-t-think-that-algorithm-does-what-you-th.patch.
      Fixes FTBFS with GCC-14. (Closes: #1075640).
  * debian/control:
    + Switch from pkg-config to pkgconf in B-D. Thanks, lintian.

  [ Marius Gripsgard ]
  * debian/rules:
    + Set -DWLCS_BUILD_ASAN=OFF for LoongArch architecture. (Closes: #1051830).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 13:53:43 +0200

wlcs (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * d/copyright: Update to match upstream release

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 29 Oct 2023 15:53:23 +0100
