=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libffi-dev,
  libgtest-dev,
  libwayland-dev,
- pkg-config,
+ pkgconf,
  google-mock
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
