## wlcs 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 cmake_policy(SET CMP0015 NEW)
 cmake_policy(SET CMP0022 NEW)
 
-project(wlcs VERSION 1.6.1)
+project(wlcs VERSION 1.7.0)
 
 add_definitions(-D_GNU_SOURCE)
 add_definitions(-D_FILE_OFFSET_BITS=64)
@@ -250,12 +250,7 @@
 
 if (WLCS_BUILD_UBSAN)
   add_executable(wlcs.ubsan ${WLCS_SOURCES})
-  # g++ 13 doesn't like some initialization
-  if (CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 13)
-    target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined)
-  else()
-    target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined -O0)
-  endif()
+  target_compile_options(wlcs.ubsan PUBLIC -fsanitize=undefined)
   set_target_properties(
     wlcs.ubsan
     PROPERTIES
