=== debian/changelog ===
wlcs (1.7.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Set -Wno-error=maybe-uninitialized to fix the FTBFS.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 08:09:10 +0100

wlcs (1.7.0-1) unstable; urgency=medium

  * Re-upload to unstable.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 18:12:12 +0100

wlcs (1.7.0-1~exp1) experimental; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release 1.7.0

  [ Dandan Zhang ]
  * debian/rules:
    + Set -DWLCS_BUILD_ASAN=OFF for LoongArch architecture. (closes: #1051830)

 -- Marius Gripsgard <mariogrip@debian.org>  Sat, 03 Feb 2024 00:02:22 +0100
