=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libwayland-dev,
  pkgconf,
  google-mock
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/MirServer/wlcs
 Vcs-Browser: https://salsa.debian.org/mir-server-team/wlcs
